### Method

# JavaScriptCore Value function_callv

#### Declaration [src]

    JSCValue*
    jsc_value_function_callv (
      JSCValue* value,
      guint n_parameters,
      JSCValue** parameters
    )

#### Description [src]

Call function referenced by `value`, passing the given `parameters`. If `n_parameters` is 0 no parameters will be passed to the function.

This function always returns a `JSCValue`, in case of void functions a `JSCValue` referencing <function>undefined</function> is returned.

This method is renamed to `jsc_value_function_call()` in language bindings

#### Parameters

`n_parameters`

  Type: `guint`

  The number of parameters.

`parameters`

  Type: An array of `JSCValue*`

  The `JSCValue`s to pass as parameters to the function, or `NULL`.

  The argument can be `NULL`.
  The length of the array is specified in the `n_parameters` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `JSCValue`

A `JSCValue` with the return value of the function.

The caller of the method takes ownership of the data, and is responsible for freeing it.